Bug 234624 - Fix WebKit Build issues when using system content path
Summary: Fix WebKit Build issues when using system content path
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Michael Saboff
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-12-22 16:53 PST by Michael Saboff
Modified: 2022-01-04 14:29 PST (History)
9 users (show)

See Also:


Attachments
Patch (13.35 KB, patch)
2021-12-22 17:25 PST, Michael Saboff
fpizlo: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Saboff 2021-12-22 16:53:42 PST
A few more bugs in the recent config file changes for alternate root builds.
 - For frameworks nested under the WebCore framework, for macOS the directory needs to include the version, e.g. WebCore.framework/Versions/A/Frameworks instead of WebCore.framework/Frameworks.
 - WebKit needs to have SYSTEM_CONTENT_PATH added to the nested frameworks path (UMBRELLA_FRAMEWORKS_DIR).
 - WebCore and WebKitLegacy framework locations needs to have the SYSTEM_CONTENT_PATH added.
Comment 1 Michael Saboff 2021-12-22 16:54:13 PST
<rdar://86828224>
Comment 2 Michael Saboff 2021-12-22 17:25:06 PST
Created attachment 447848 [details]
Patch
Comment 3 EWS Watchlist 2021-12-22 17:26:21 PST
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 4 Jessie Berlin 2021-12-22 18:00:20 PST
Comment on attachment 447848 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=447848&action=review

> Source/ThirdParty/ANGLE/ChangeLog:9
> +        Deleted unussed create-symlink-to-altroot.sh script.

Typo: "unussed"
Comment 5 Michael Saboff 2021-12-22 19:06:51 PST
(In reply to Jessie Berlin from comment #4)
> Comment on attachment 447848 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=447848&action=review
> 
> > Source/ThirdParty/ANGLE/ChangeLog:9
> > +        Deleted unussed create-symlink-to-altroot.sh script.
> 
> Typo: "unussed"

Fixed locally.
Comment 6 Michael Saboff 2021-12-22 19:10:26 PST
Committed r287382 (?): <https://commits.webkit.org/r287382>
Comment 7 Alexey Proskuryakov 2021-12-23 09:23:20 PST
Comment on attachment 447848 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=447848&action=review

> Source/ThirdParty/libwebrtc/Configurations/libwebrtc.xcconfig:35
> +INSTALL_PATH_USE_SYSTEM_CONTENT_PATH_YES = $(SYSTEM_CONTENT_PATH)$(NORMAL_WEBCORE_FRAMEWORKS_DIR)/WebCore.framework/Versions/A/Frameworks;

What makes this macOS specific?
Comment 8 Alexey Proskuryakov 2022-01-04 14:29:01 PST
> What makes this macOS specific?

Fixing this is tracked as bug 234857 now.